import { ComponentChildren } from "preact";
import { Header } from "../../components";

type ChildrenProps = {
  children: ComponentChildren
}

function DefaultLayout({ children }: ChildrenProps) {
  return (
    <>
      <Header />
      <main style={{ overflow: 'hidden' }}>
        {children}
      </main>
      <footer className={"bg-secondary"} style={{ width: "100%", clear: 'both', overflow: 'hidden', paddingBottom: 50}}>
        <div className={"content text-left"}>
          <div style={{ float: 'left', paddingRight: 30, margin: '0 30px 20px 0'}}>
            <h2>Location</h2>
            <p>Highest Rated</p>
            <p>Lowest Rated</p>
            <p>Recently Added</p>
            <p>Random</p>
          </div>
          <div style={{ float: 'left', paddingRight: 30, margin: '0 30px 20px 0'}}>
            <h2>IDK</h2>
            <p>Jawa</p>
            <p>Kalimantan</p>
            <p>Nusa Tenggara</p>
            <p>Papua</p>
            <p>Sulawesi</p>
            <p>Sumatra</p>
          </div>
          <div style={{ float: 'left', paddingRight: 30, margin: '0 30px 20px 0'}}>
            <h2>MORE</h2>
            <p>On this day</p>
            <p>Site updates</p>
          </div>
          <div style={{ float: 'left', paddingRight: 30, margin: '0 30px 20px 0'}}>
            <h2>SITE DETAILS</h2>
            <p>FAQ</p>
            <p>PRIVACY Policy</p>
            <p>Feedback</p>
            <p>Contact Us</p>
          </div>
        </div>
      </footer>
    </>
  )
}

export default DefaultLayout;